/* $Id:$ */

#include "rednav/rednavException.hpp"

#include <sstream>

using std::string;

using namespace jafar::rednav;

/*
 * class RednavException
 */

RednavException::RednavException(ExceptionId id_, const string& message_, const string& file_, int line_) throw() :
  jafar::kernel::Exception(message_, "rednav", exceptionIdToString(id_), file_, line_),
  id(id_)
{}

RednavException::~RednavException() throw() {}

RednavException::ExceptionId RednavException::getExceptionId() const throw() {
  return id;
}

string RednavException::exceptionIdToString(ExceptionId id_) throw() {
  switch(id_) {
//   case MY_ERROR:
//     return "MY_ERROR";

  default:
    std::stringstream s;
    s << id_;
    return s.str();
  }
}
